package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 44.查询 NFT 购买结果 GET请求方式
 * @class: NftBuyResultReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:54
 */
@Data
public class Nft044BuyResultReq implements Serializable {
    /**
     * 平台公钥
     */
    private String platformPubKey;
    /**
     * 任务Id
     */
    private String taskId;
    private static final Nft044BuyResultReq obj = new Nft044BuyResultReq();
    private static final long serialVersionUID = 2843272152912284826L;

    public static Nft044BuyResultReq getNew() {
        try {
            return (Nft044BuyResultReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft044BuyResultReq();
        }
    }
}
